### Method

# RB StringValueMap remove

#### Declaration [src]

    gboolean
    rb_string_value_map_remove (
      RBStringValueMap* map,
      const char* key
    )

#### Description [src]

Removes a value from the map.

#### Parameters

`key`

  Type: `const char*`

  Key to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the value was found and removed.